mirror of https://gitee.com/openkylin/casper.git
Fix bug 130097 for directly installing mode
This commit is contained in:
parent
f9978c931f
commit
f80da8e021
|
@ -1,3 +1,9 @@
|
|||
casper (1.445-ok4) yangtze; urgency=medium
|
||||
|
||||
* Fix bug 130097 for directly installing mode
|
||||
|
||||
-- liuyi <liuyi@kylinos.cn> Tue, 19 Jul 2022 23:26:59 +0800
|
||||
|
||||
casper (1.445-ok3) yangtze; urgency=medium
|
||||
|
||||
* Fix bug cannot modprobe overlay module
|
||||
|
|
|
@ -0,0 +1,39 @@
|
|||
From: liu-yi92 <liuyi@kylinos.cn>
|
||||
Date: Tue, 19 Jul 2022 23:28:52 +0800
|
||||
Subject: Fix bug 130097 for directly installing mode
|
||||
|
||||
---
|
||||
scripts/casper-bottom/99wayland | 24 ++++++++++++++++++++++++
|
||||
1 file changed, 24 insertions(+)
|
||||
create mode 100755 scripts/casper-bottom/99wayland
|
||||
|
||||
diff --git a/scripts/casper-bottom/99wayland b/scripts/casper-bottom/99wayland
|
||||
new file mode 100755
|
||||
index 0000000..fd3db2e
|
||||
--- /dev/null
|
||||
+++ b/scripts/casper-bottom/99wayland
|
||||
@@ -0,0 +1,24 @@
|
||||
+#!/bin/sh
|
||||
+
|
||||
+PREREQ=""
|
||||
+
|
||||
+prereqs()
|
||||
+{
|
||||
+ echo "$PREREQ"
|
||||
+}
|
||||
+
|
||||
+case $1 in
|
||||
+# get pre-requisites
|
||||
+prereqs)
|
||||
+ prereqs
|
||||
+ exit 0
|
||||
+ ;;
|
||||
+esac
|
||||
+
|
||||
+if grep -q boot=casper /proc/cmdline; then
|
||||
+ if ! grep -q live /proc/cmdline; then
|
||||
+ if [ -e /root/usr/bin/ukui-session-wayland ]; then
|
||||
+ sed -i 's/ukui-session/kylin-os-installer-live/' /root/usr/bin/ukui-session-wayland
|
||||
+ fi
|
||||
+ fi
|
||||
+fi
|
|
@ -1,2 +1,3 @@
|
|||
0001-.patch
|
||||
0002-update-changelog.patch
|
||||
0003-Fix-bug-130097-for-directly-installing-mode.patch
|
||||
|
|
Loading…
Reference in New Issue